# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'spoll/version'

Gem::Specification.new do |spec|
  spec.name          = 'spoll'
  spec.version       = Spoll::VERSION
  spec.authors       = ['İ. Emre Kutlu']
  spec.email         = 'emrekutlu@gmail.com'

  spec.summary       = 'API client for spoll'
  spec.description   = 'API client for spoll'
  spec.homepage      = 'http://spoll.io'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'oauth2', '1.1.0'
  spec.add_runtime_dependency 'virtus', '1.0.5'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
end
